MAN-RECODE(1)

NOM
man-recode - Convertit des pages de manuel vers d'autres encodages

SYNOPSIS
man-recode -t encodage-cible {--suffix=suffixe|--in-place} [-dqhV] [nom-de-fichier]

DESCRIPTION
man-recode convertit plusieurs pages de manuel d'un encodage vers un autre en devinant l'encodage d'entrée approprié pour chacun d'eux. Il est utile pour le réencodage de pages écrites dans d'anciens encodages, ou pour les systèmes de compilation qui réencodent toutes les pages dans en seul encodage (le plus souvent UTF-8) avant pour une installation. Pour une conversion de pages de manuel ce programme est plus rapide que d'exécuter man --recode ou manconv pour chaque page.

Si une déclaration d'encodage est trouvée sur la première ligne d'une page de manuel, cette déclaration est utilisée comme l'encodage d'entrée de cette page. En cas d'échec, l'encodage d'entrée est deviné à partir du nom du fichier.

Les déclarations d'encodage doivent respecter le format :

    '\" -*- coding: UTF-8 -*-

ou (si les préprocesseurs de page de manuel sont aussi à déclarer) :

    '\" t -*- coding: ISO-8859-1 -*-

OPTIONS

-t encodage, --to-code=encodage
    Convertit les pages de manuel en encodage.

--suffix=suffixe
    Détermine le nom du fichier de sortie en ajoutant suffixe au nom du fichier d'entrée après avoir supprimé tout extension de compression.

--in-place
    Écrase chaque fichier d'entrée avec la sortie après avoir supprimé tout extension de compression.

-q, --quiet
    Ne renvoie pas de messages d'erreur quand la page ne peut pas être convertie.

-d, --debug
    Affiche les informations de mise au point.

-h, --help
    Affiche un message d'aide et s'arrête.

-V, --version
    Affiche le numéro de version.

VOIR AUSSI
iconv(1), man(1), manconv(1)

BOGUES
https://savannah.nongnu.org/bugs/?group=man-db

AUTEUR
Colin Watson (cjwatson@debian.org).

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:https://po4a.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».